clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
clang::query::HelpQuery Struct Reference

Query for "help". More...

`#include <Query.h>`

Inheritance diagram for clang::query::HelpQuery:
[legend]
Collaboration diagram for clang::query::HelpQuery:
[legend]

## Public Member Functions
| HelpQuery ()
bool | run (llvm::raw_ostream &OS, QuerySession &QS) const override
| Perform the query on `QS` and print output to `OS`. More...
Public Member Functions inherited from clang::query::Query
| Query (QueryKind Kind)
virtual | ~Query ()

## Static Public Member Functions
static bool | classof (const Query *Q)

## Additional Inherited Members
Public Attributes inherited from clang::query::Query
const QueryKind | Kind

## Detailed Description

Query for "help".

Definition at line 73 of file Query.h.

## Constructor & Destructor Documentation

clang::query::HelpQuery::HelpQuery | ( |  | ) |
| inline

Definition at line 74 of file Query.h.

## Member Function Documentation

static bool clang::query::HelpQuery::classof | ( | const Query * | Q | ) |
| inline static

Definition at line 77 of file Query.h.

References clang::query::Query::Kind, and clang::query::QK_Help.

bool clang::query::HelpQuery::run | ( | llvm::raw_ostream & | OS,
|  | QuerySession & | QS
| ) |  | const
| override virtual

Perform the query on `QS` and print output to `OS`.

Returns
  false if an error occurs, otherwise return true.

Implements clang::query::Query.

Definition at line 34 of file Query.cpp.

The documentation for this struct was generated from the following files:

- Query.h
- Query.cpp